﻿<?php
	// Imports
	require_once("pure360/PaintSystemException.php");
	require_once("pure360/PaintSecurityException.php");
	require_once("pure360/PaintValidationException.php");
	require_once("pure360/PaintMethods.php");

	// Receive data posted from the form
	$contentId 	= (!empty($_REQUEST["contentId"])? $_REQUEST["contentId"]: null);
	$output			= "";
	$deleteOutput	= "";
	$deleteData	= "";
	
	// Send the request to process
	if(!empty($contentId))
	{		
	    $paint = new PaintMethods();
	     
        try
        {
        	$deleteOutput = null;
        	$deleteData = null;
        	
            // ***** Log in and create a context *****
            $paint->login();

            // ***** Delete the List *****
            
            $deleteOutput = $paint->deleteContentItem($contentId);
            $deleteData = "The specified content item has been deleted.\n";
            $contentId = "";

            // Output to help the user see what's going on.
            
        }
        catch (PaintValidationException $pve)
        {
            $output = "Validation Error<BR/><BR/>".
                                    $paint->convertResultToDebugString($pve->getErrors())."<BR/><BR/>";
        }
        catch (PaintSecurityException $psece)
        {
            $output = "Security Exception<BR/><BR/>".$psece->getMessage()."<BR/><BR/>";
        }
        catch (PaintSystemException $pse)
        {
            $output = "System Exception<BR/><BR/>".$pse->getMessage()."<BR/><BR/>";
        }
        catch (Exception $exp)
        {
            $output = "Unhandled Exception<BR/><BR/>".$exp->getMessage()."<BR/><BR/>";
        }

        // Log out of the session.  This should be placed so that
        // it will always occur even if there is an exception
        try
        {
            $paint->logout();
        }
        catch (Exception $exp)
        {
        	// Ignore
        }				
	}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head>
    <title>))) Pure: PAINT Example Implementation</title>    
    <link rel="stylesheet" type="text/css" href="paint.css" />    
</head>
<body>
    <form action="" method="post">
    <div>
        <a href="../index.php"><b>home</b></a>
        <a href="showDynContent.php"><b>Dynamic Content</b></a><br />
        <br />
        Delete an existing dynamic content item<br />
        <br />
        <font color="red"><?php echo $output; ?></font>Content Item id:
		<pre><?php echo $deleteData; ?></pre>
    </div>
    </form>
</body>
</html>
 