﻿<?php
	// Imports
	require_once("pure360/PaintSystemException.php");
	require_once("pure360/PaintSecurityException.php");
	require_once("pure360/PaintValidationException.php");
	require_once("pure360/PaintMethods.php");

	// Receive data posted from the form
	$output 	= "";
	$html		= "";
	$resultHtml = "";
	
	// Send the request to process

	$contentId 	= (!empty($_REQUEST["contentId"])? $_REQUEST["contentId"]: null);
	$output			= "";
	$deliveryData	= "";
	$contentItemInput = array();

	if(!empty($contentId))
	{		

	    $paint = new PaintMethods();
	     
        try
        {

        	$editableFields	= array("clientReference",
        							"contentHtml",
        							"contentPlain",
									);
        	
            // ***** Log in and create a context *****
            $paint->login();
            $allContentData = $paint->getContentItem($contentId);

			if ( (is_array($_POST)) && ( count($_POST) > 1 ))
			{
		
				foreach ($_POST as $postName => $postValue)
				{
						if ( substr($postName,0,1) != "_" )
						{
							$contentItemInput[$postName] = $postValue;
						} else 
						{
							$contentItemInput[substr($postName,1,strlen($postName))] = $postValue;
						}
				}

				$contentItemInput["beanId"] = $allContentData["beanId"];
	
	
				$resultOutput = $paint->sendRequest("bus_facade_campaign_contentItem", "store", $contentItemInput, null);
			}


			$allContentData = $paint->getContentItem($contentId);
			

			foreach ($allContentData as $fieldName => $fieldValue) {
			
				if (in_array($fieldName, $editableFields)) {
					
						$html .= "$fieldName	&nbsp;	<input type='text' name='_".$fieldName."' value='".htmlentities($fieldValue)."'	<br /><br />	\n";
				
					
				} elseif (!is_array($fieldValue))
				{
					$html .= " $fieldName	&nbsp;	$fieldValue	<br />\n";
				
					
				} else {
					$html .= "else";
				}
				
			}
		
        }
        catch (PaintValidationException $pve)
        {
            $output = "Validation Error<BR/><BR/>".
                                    $paint->convertResultToDebugString($pve->getErrors())."<BR/><BR/>";
        }
        catch (PaintSecurityException $psece)
        {
            $output = "Security Exception<BR/><BR/>".$psece->getMessage()."<BR/><BR/>";
        }
        catch (PaintSystemException $pse)
        {
            $output = "System Exception<BR/><BR/>".$pse->getMessage()."<BR/><BR/>";
        }
        catch (Exception $exp)
        {
            $output = "Unhandled Exception<BR/><BR/>".$exp->getMessage()."<BR/><BR/>";
        }

        // Log out of the session.  This should be placed so that
        // it will always occur even if there is an exception
        try
        {
            $paint->logout();
        }
        catch (Exception $exp)
        {
        	// Ignore
        }				
    }
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head>
    <title>))) Pure: PAINT Example Implementation</title>    
    <link rel="stylesheet" type="text/css" href="paint.css" />    
</head>
<body>
    <form action="" method="post">
    <div>
        <a href="../index.php"><b>home</b></a>
        <a href="showDynContent.php"><b>Dynamic Content</b></a><br />
        <br />
        Allows editing of a single content item<br />
        <br />
        <font color="red"><?php echo $output; ?></font>
		
		<?php echo $html; ?>

		<input type="submit" value="Update List">
		
		<?php echo $resultHtml; ?>

    </div>
    </form>
    
</body>
</html>
 